#!/usr/bin/env ruby -W

require_relative 'platform_ios'

module WeexBuilder
  module Platform
    module_function

    def add(platform, name)
      Dir.mkdir("Platforms") unless Dir.exist?('Platforms')
      return puts "The platform already exist." if WeexBuilder::Project.platform_exist?(platform)
    
      Dir.mkdir("Platforms/#{platform}") 
      if /iOS/ =~ platform
        WeexBuilder::IOSProject.create(name)
      end
    end
  end
end